Does Lightroom support the new HEIC format that Apple is using?

New Here ,
Sep 22, 2017

Copy link to clipboard

Copied

And if it does, what versions support it?

[Here is the list of all Adobe forums... https://forums.adobe.com/welcome]

[Moved from generic Cloud/Setup forum to specific Program forum... Mod]

Views

2.9K

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

1 Correct Answer

LEGEND , Sep 22, 2017
dj_paige LEGEND , Sep 22, 2017
Not supported by Lightroom at this time.

Likes

Translate

Translate
Jump to answer Jump to answer
LEGEND ,
Sep 22, 2017

Copy link to clipboard

Copied

Not supported by Lightroom at this time.

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Adobe Employee ,
Jun 19, 2018

Copy link to clipboard

Copied

Hi All,

We are happy to announce the release of Lightroom Classic CC 7.4.

This update includes the support for HEIF image files on macOS High Sierra v10.13 or later.

Here's a list of what's new in this release: New features summary for the October 2017 and later releases of Lightroom Classic CC

Let us know if the update resolves the problem for those affected and share your feedback with us.

Regards,

Mohit

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
New Here ,
Dec 09, 2018

Copy link to clipboard

Copied

I am running LR classic at 7.5 Release and my Mac is using OS X El Capitain version 10.11.6. Lightroom is not able to open HEIC files. I know that High Sierra is mentioned but I believe that El Capitain is a higher version than that. Is there something I am missing or not doing right? Thank you!

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
LEGEND ,
Dec 10, 2018

Copy link to clipboard

Copied

grahamc86401658  wrote

I know that High Sierra is mentioned but I believe that El Capitain is a higher version than that

This is not correct. If you were to look at the version number of El Capitan (which is 10.11), you could see it is not as recent an operating as 10.13

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Community Beginner ,
Aug 18, 2020

Copy link to clipboard

Copied

The issue isn't resolved.  I'm using Mac Catalina and version 9.3 of Lightroom Classic and still get an error message that the files can't be edited.   What is the point of a photo-editing software that can't edit photos????

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more